Bug 1028685 - [abrt] java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19: handle_error: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java was killed by signal 5 (SIGTRAP)
[abrt] java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19: handle_error: Process /usr/l...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:365f35ddad95a89c8f11a7e1393...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-09 10:09 EST by Jeremy Whiting
Modified: 2013-12-10 05:29 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 05:29:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (145.39 KB, text/plain)
2013-11-09 10:09 EST, Jeremy Whiting
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-09 10:09 EST, Jeremy Whiting
no flags Details
File: core_backtrace (128.75 KB, text/plain)
2013-11-09 10:09 EST, Jeremy Whiting
no flags Details
File: dso_list (30.02 KB, text/plain)
2013-11-09 10:09 EST, Jeremy Whiting
no flags Details
File: environ (3.41 KB, text/plain)
2013-11-09 10:09 EST, Jeremy Whiting
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-09 10:09 EST, Jeremy Whiting
no flags Details
File: maps (101.54 KB, text/plain)
2013-11-09 10:09 EST, Jeremy Whiting
no flags Details
File: open_fds (11.96 KB, text/plain)
2013-11-09 10:09 EST, Jeremy Whiting
no flags Details
File: proc_pid_status (926 bytes, text/plain)
2013-11-09 10:09 EST, Jeremy Whiting
no flags Details
File: var_log_messages (527 bytes, text/plain)
2013-11-09 10:09 EST, Jeremy Whiting
no flags Details

  None (edit)
Description Jeremy Whiting 2013-11-09 10:09:06 EST
Description of problem:
Eclipse was updated as a system update.
Then started Eclipse IDE application.
Was then prompted to upgrade the plugins to make them compatible with the upgraded Eclipse. That upgrade completed.
Then prompted to restart Eclipse. Clicked on the button with the label "Restart Now".
Eclipse restarted, displayed the splash screen, the splash screen disappeared, the IDE window loaded but the perspective didn't fully load. After 20 seconds the jvm crashed.

Version-Release number of selected component:
java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20131014-1715.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.3.1.v20131014-1710/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20131014-1715/eclipse_1508.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20131014-1715.jar --launcher.appendVmargs -exitdata 3da0010 -preventMasterEclipseLaunch -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20131014-1715.jar
crash_function: handle_error
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64/jre/bin/java
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:213
 #5 handle_response at xcb_io.c:325
 #6 _XReadEvents at xcb_io.c:426
 #7 _cairo_xlib_shm_surface_flush at cairo-xlib-surface-shm.c:696
 #8 INT_cairo_surface_flush at cairo-surface.c:1510
 #9 _cairo_xlib_surface_discard_shm at cairo-xlib-surface.c:369
 #10 _cairo_xlib_surface_finish at cairo-xlib-surface.c:401
 #11 _cairo_surface_finish at cairo-surface.c:1007
 #12 INT_cairo_surface_destroy at cairo-surface.c:945
 #13 INT_cairo_pattern_destroy at cairo-pattern.c:1131
Comment 1 Jeremy Whiting 2013-11-09 10:09:12 EST
Created attachment 821904 [details]
File: backtrace
Comment 2 Jeremy Whiting 2013-11-09 10:09:16 EST
Created attachment 821905 [details]
File: cgroup
Comment 3 Jeremy Whiting 2013-11-09 10:09:20 EST
Created attachment 821906 [details]
File: core_backtrace
Comment 4 Jeremy Whiting 2013-11-09 10:09:24 EST
Created attachment 821907 [details]
File: dso_list
Comment 5 Jeremy Whiting 2013-11-09 10:09:28 EST
Created attachment 821908 [details]
File: environ
Comment 6 Jeremy Whiting 2013-11-09 10:09:31 EST
Created attachment 821909 [details]
File: limits
Comment 7 Jeremy Whiting 2013-11-09 10:09:36 EST
Created attachment 821910 [details]
File: maps
Comment 8 Jeremy Whiting 2013-11-09 10:09:40 EST
Created attachment 821911 [details]
File: open_fds
Comment 9 Jeremy Whiting 2013-11-09 10:09:44 EST
Created attachment 821912 [details]
File: proc_pid_status
Comment 10 Jeremy Whiting 2013-11-09 10:09:48 EST
Created attachment 821913 [details]
File: var_log_messages
Comment 11 Deepak Bhole 2013-11-12 09:23:28 EST
Error originated in Java_org_eclipse_swt_internal_gtk_OS__1Call. Re-assigning.
Comment 12 Alexander Kurtakov 2013-12-10 04:12:14 EST
Is the bug reproducible or it was one time only? Do you have googletalk plugin installed?
Comment 13 Jeremy Whiting 2013-12-10 05:17:19 EST
It is a one time only bug. Yes that plugin is installed.
Comment 14 Alexander Kurtakov 2013-12-10 05:29:36 EST
There is a known problem if one has googletalk plugin that crashes webkit. As googletalk plugin is closed source there is nothing we can do but suggest people uninstalling it possible. Another possibility is to run eclipse with gtk3 (export SWT_GTK3=1) if crashes become too often as with gtk 3 googletalk doesn't crash webkit anymore but sadly the swt port has some drawing issues.
I'm closing this bug now, if there is other info or problem feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.